//#-hidden-code
//
//  Contents.swift
//
import PlaygroundSupport
import Foundation
//#-end-hidden-code
/*: some text
 ## 温度の検出
 このプログラムは、micro:bitで検出した温度を表示するものです。micro:bit本体が無いと結果がわかりません。
*/
clearScreen()

setTemperaturePeriod(5000, handler: {(period: Int?) in
    let periodinMS = period
})

onTemperature({(temperature: Double) in
    let celsius = temperature
    showNumber(Int(celsius))
})
